summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build5-amd64/etc/pbuilder
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-10-08 10:14:28 +0200
committerHolger Levsen <holger@layer-acht.org>2015-10-08 10:14:28 +0200
commit5b07669f5dfc1599c13c0272cd46b176534aa01b (patch)
treec8bc04ec6f5fb525a9c307259bf2f1f10ee3d6c5 /hosts/profitbricks-build5-amd64/etc/pbuilder
parent7601f6751c9eab648ffad7cb0b5ec77722a1e0f0 (diff)
downloadjenkins.debian.net-5b07669f5dfc1599c13c0272cd46b176534aa01b.tar.xz
reproducible: add profitbricks-build5-amd64 and profitbricks-build6-amd64
Diffstat (limited to 'hosts/profitbricks-build5-amd64/etc/pbuilder')
-rwxr-xr-xhosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup15
-rwxr-xr-xhosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup19
-rwxr-xr-xhosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/D01_modify_environment28
3 files changed, 62 insertions, 0 deletions
diff --git a/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..c60a991c
--- /dev/null
+++ b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u /tmp/buildd
+ rmdir /tmp/buildd
+ mv /tmp/disorderfs /tmp/buildd
+ echo " done."
+fi
diff --git a/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..6ec09822
--- /dev/null
+++ b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+echo "debug output: disk usage on $(hostname) at $(date -u)"
+df -h
+echo
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u /tmp/buildd
+ rmdir /tmp/buildd
+ mv /tmp/disorderfs /tmp/buildd
+ echo " done."
+fi
diff --git a/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/D01_modify_environment b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..52862f16
--- /dev/null
+++ b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing host+domainname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+echo "I: Adding a custom variable just for the fun of it..." >&2
+export CAPTURE_ENVIRONMENT="I capture the environment"
+
+# temporarily disable disorderfs as we have problems properly unmounting it
+exit 0
+
+# use disorderfs
+if [ -x /usr/bin/disorderfs ] ; then
+ echo -n "Moving /tmp/buildd to /tmp/disorderfs and mounting this as /tmp/buildd via the fuse disorderfs…"
+ mknod -m 666 /dev/fuse c 10 229
+ mv /tmp/buildd /tmp/disorderfs
+ mkdir /tmp/buildd
+ disorderfs --multi-user=yes /tmp/disorderfs /tmp/buildd
+ echo " done."
+else
+ echo "Warning: disorderfs not available."
+fi